Bug 823213 - python-tornado: HTTP header injection vulnerability
python-tornado: HTTP header injection vulnerability
Status: CLOSED DUPLICATE of bug 822852
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120423,repor...
: Security
Depends On: 823214 823215
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 19:34 EDT by Vincent Danen
Modified: 2012-05-23 11:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 12:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-05-19 19:34:51 EDT
Certain input provided to the tornado.web.RequestHandler.set_header() function in tornado prior to 2.2.1 was reported [1].  This flaw could be used to expose arbitrary HTTP headers in a response sent to the user.

[1] http://www.tornadoweb.org/documentation/releases/v2.2.1.html
Comment 1 Vincent Danen 2012-05-19 19:36:12 EDT
Created python-tornado tracking bugs for this issue

Affects: fedora-all [bug 823214]
Affects: epel-6 [bug 823215]
Comment 2 Thomas Spura 2012-05-20 12:39:47 EDT
This CVE is already reported in bug #822852.

Closing as a dublicate as there is also an CVE number.
(Correct me, if this needs to be handled differently...)

*** This bug has been marked as a duplicate of bug 822852 ***
Comment 3 Vincent Danen 2012-05-23 11:13:25 EDT
No that's fine.  Thanks, Thomas.  I hadn't noticed the other bug.

Note You need to log in before you can comment on or make changes to this bug.